/******************************
 * The Fredericks Company
 * www.frederickscompany.com
 * sales@frederickscompany.com
 *
 * Analog Arduino Communication
 * 
 * Code for Arduino Uno to read tilt and temperature from
 * a sensor mounted on the 1-6200-007 signal conditioner
 * using an analog signal.
 * 
 * Output: print X, Y, and Temperature to serial port every 1 second
 *
 * Rev -
 * 
 * */

void setup() {
    Serial.begin(9600); // set the baud rate for the Arduino serial communication
    Serial.println("Starting Analog Test");
    pinMode(A0, INPUT); // setting A0 as input
    pinMode(A1, INPUT); // setting A1 as input
    pinMode(A2, INPUT); // setting A2 as input
}

void loop() {
    int x, y, temperature; // define x, y, & temperature variables
    
    x = analogRead(A0); // get the x reading 
    y = analogRead(A1); // get the y reading
    temperature = analogRead(A2); // get the temperature reading

    char res[50]; // define a char array to store the output
    sprintf(res, "X: %i, Y: %i, Temperature: %i", x, y, temperature); // assembled the output
    Serial.println(res); // print the output to the Serial Monitor

    delay(1000);
}
